PHP Manual
Prev |  | Next

# HttpMessage::fromString

(no version information, might be only in CVS)

HttpMessage::fromString -- Create HttpMessage from string

## Description

static publicHttpMessage HttpMessage::fromString ( [string raw_message [, string class_name = 'HttpMessage']] )

Create an HttpMessage object from a string. Kind of a static constructor.

## Parameters

raw_message

  a single or several consecutive HTTP messages

class_name

  a class extending HttpMessage

## Return Values

Returns an HttpMessage object on success or NULL on failure.

## Errors/Exceptions

Throws HttpMalformedHeadersException.

Prev | Home | Next
HttpMessage::__construct | Up | HttpMessage::toString